View List

Get a complete list of portfolio views you have access to, then use a view ID to see view details or retrieve the request body for the Portfolio Query API.

Base route/v1/portfolio/views
EndpointsGET /v1/portfolio/views
GET /v1/portfolio/views/:id
ProducesJSON
PaginationNo
Application permissions required"API Access: Create, edit, and delete"
OAuth scopesPORTFOLIO

🔒 Access requirements

"API Access: Create, edit, and delete" application permission and PORTFOLIO OAuth scope are required.

Resource overview

AttributeDescription
share_typeThe share type of the view. String. Values: PERSONAL, FIRM, TEAM, PORTAL, PORTAL_TEAM. Example: "PERSONAL"
display_nameThe display name of the view. String. Example: "AdvancedTable"
parametersReturns a request body for the Portfolio Query API. List of objects. See parameters.

Get all portfolio views

Returns a complete list of views for portfolios you have access to.

GET /v1/portfolio/views

🔑 Authentication

All requests require a base64-encoded API key pair:

Authorization: Basic {base64(key_id:key_secret)}

See Access & Authentication for setup.

curl -X GET "https://{firm}.addepar.com/api/v1/portfolio/views" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Accept: application/vnd.api+json"
HTTP/1.1 200

{
  "data": [
    {
      "id": "19",
      "type": "portfolio_views",
      "attributes": {
        "share_type": "PERSONAL",
        "display_name": "AdvancedTable"
      },
      "links": {
        "self": "/v1/portfolio_views/19"
      }
    },
    {
      "id": "2",
      "type": "portfolio_views",
      "attributes": {
        "share_type": "FIRM",
        "display_name": "owner1"
      },
      "links": {
        "self": "/v1/portfolio_views/2"
      }
    },
    {
      "id": "4",
      "type": "portfolio_views",
      "attributes": {
        "share_type": "PORTAL",
        "display_name": "TOTAL RETURN VIEW"
      },
      "links": {
        "self": "/v1/portfolio_views/4"
      }
    }
  ],
  "included": [],
  "links": {
    "next": null
  }
}

Response codes:

  • 200 OK -- Success
  • 404 Not Found -- User lacks API permission or has not granted the appropriate scope

Get a portfolio view by ID

Returns a complete request body to quickly query on a portfolio view.

GET /v1/portfolio/views/:id

curl -X GET "https://{firm}.addepar.com/api/v1/portfolio/views/2" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1" \
  -H "Accept: application/vnd.api+json"
HTTP/1.1 200

{
  "data": {
    "id": "2",
    "type": "portfolio_views",
    "attributes": {
      "share_type": "FIRM",
      "parameters": {
        "columns": [
          {
            "key": "value",
            "arguments": {
              "adjusted": false,
              "time_point": "current",
              "accrued": "all",
              "currency": "USD"
            }
          }
        ],
        "groupings": [
          {
            "key": "ownership"
          },
          {
            "key": "asset_class"
          },
          {
            "key": "security"
          }
        ],
        "filters": [],
        "hide_previous_holdings": false,
        "group_by_historical_values": false,
        "group_by_multiple_attribute_values": false,
        "look_through_composite_securities": false,
        "display_account_fees": false
      },
      "display_name": "owner1"
    },
    "links": {
      "self": "/v1/portfolio_views/2"
    }
  },
  "included": []
}

Response codes:

  • 200 OK -- Success
  • 404 Not Found -- User lacks API permission or has not granted the appropriate scope

📘 Related resources

Portfolio Query | Portfolio Query Builder | Arguments


Did this page help you?